Bug 121942 - Sildeshow: Video is played 2 times
Summary: Sildeshow: Video is played 2 times
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.0.1 target:6....
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-12-06 12:57 UTC by Xisco Faulí
Modified: 2018-12-20 11:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-12-06 12:57:50 UTC
1. Open attachment 140889 [details] from Bug 116643
2. Start the slideshow
3. Go to slide 4 -> video is played ( bug 121830 )
4. Go to the next slide

Observed behaviour: The video is displayed on top of the fifth slide

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: fcc76610649a9830859f9e2efe2a06dbc6db74da
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2018-12-06 12:59:48 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1aa10fcb668f67f4313b7170a4090027e52164c5

author	Caolán McNamara <caolanm@redhat.com>	2018-12-04 16:42:10 +0000
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2018-12-05 13:51:59 +0100
commit	1aa10fcb668f67f4313b7170a4090027e52164c5 (patch)
tree	20c5d1900bc1c6eb7bb47c9b49c767a36612d250
parent	38e358585591dbfcfc532ee2b4fc1de0f5962ee7 (diff)
tdf#121830 TogglePause should reset to original state on deactivate_st ?

Bisected with: bibisect-linux64-6.3 

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2018-12-06 13:20:56 UTC
gets deactivated twice, so starts up again, I guess throwing a toggle bool at it might do
Comment 3 Commit Notification 2018-12-06 15:45:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f820f6eb6036197bbb53e2d5e4bf4d5341ad280d%5E%21

Resolves: tdf#121942 action deactivated twice

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2018-12-07 19:39:20 UTC
Verified in

Versió: 6.3.0.0.alpha0+
ID de la construcció: 3d79f0ff9eedec74a131796016add94f4a1be02d
Fils de CPU: 4; SO: Linux 4.15; Renderitzador de la IU: per defecte; VCL: gtk3; 
Configuració local: en-US (ca_ES.UTF-8); UI-Language: ca-ES
Calc: threaded
Comment 5 Commit Notification 2018-12-07 19:41:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/715f21ec5a391e2c2f0ad4c3a1feb997c8081941%5E%21

Resolves: tdf#121942 action deactivated twice

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-12-09 21:15:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/8b550ff4c320e3c3e1495b4a38858c23c420dc86%5E%21

tdf#121830, tdf#121942 TogglePause should reset to original...

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-12-12 15:58:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1-4":

https://git.libreoffice.org/core/+/1ec50207dfe7ac7463ee9dff5b89c26af8b4e3b8%5E%21

tdf#121830, tdf#121942 TogglePause should reset to original...

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-12-20 11:47:29 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 1b7bcaa714f0af45c6a9660d1f0940cb7931ba0f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this!!

Closing as VERIFIED FIXED!